/*
   Draw2SVG front-end: RISC OS WIMP program convert Drawfiles into SVG
   Copyright (C) 2001,2003,2005-7,2012  Steven Simpson

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


   Author contact: Email to ss@comp.lancs.ac.uk
*/

#ifndef savewin_h
#define savewin_h

#include <riscos/wimp/types.h>
#include <riscos/mouse/types.h>

#include <yacitros/desktop/types.h>

event_rspcode savewin_click(void *vr,
			    const mouse_state *ms, wimp_iconhandle i);
const char *savewin_help(void *vr, const mouse_state *ms, wimp_iconhandle i);
event_rspcode savewin_open(void *vr, const wimp_winloc *loc);
event_rspcode savewin_close(void *vr);

#endif
